Bug 18940 - openssl spec file missing include path
openssl spec file missing include path
Product: Red Hat Linux
Classification: Retired
Component: openssl (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Depends On:
  Show dependency treegraph
Reported: 2000-10-12 06:11 EDT by Keith Owens
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-10-13 11:47:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Keith Owens 2000-10-12 06:11:46 EDT
The spec file for openssl 0.9.5a-14 contains

# Build the python extensions.
pushd m2crypto-%{m2crypto_version}/swig
make \
        INCLUDE=-I. -I../../include \
        LIBS="-L${TOPDIR} -lssl -lcrypto -lc" \
        PYINCLUDE="-DHAVE_CONFIG_H -I/usr/include/python1.5

The INCLUDE parameter needs to be quoted, as

        INCLUDE="-I. -I../../include" \

Without the quotes the second -I is not passed to the Makefiles and a brand
new install of openssl will fail because it cannot find openssl/err.h etc.
Comment 1 Nalin Dahyabhai 2001-02-21 11:19:59 EST
Fixed this in Raw Hide a while back, but forgot to close out the bug.

Note You need to log in before you can comment on or make changes to this bug.